# latex-templates

> A collection of LaTeX templates that are useful when writing a report.

All examples use the official University of Hull referencing style, and are originally derived from the template given to me for my interim report.

## Getting Started
Start by cloning this repository (`git clone https://git.starbeamrainbowlabs.com/Demos/latex-templates.git`).

Then, in a terminal (or _Git Bash_ on Windows), run the provided build script like this:

```bash
./build setup render
```

Note that it uses `pdflatex` and `bibtex` by default. If you use a different LaTeX render, I'd love to know! Get in contact with me via any method mentioned on [my website](https://starbeamrainbowlabs.com/)

## Licence
While I've listed this repository under the MIT licence, that only covers the modifications I've made to the template myself.

The actual template (including the referencing style itself) that I've based these templates on is probably Copyright © University of Hull 2019 (though `hull.bst` claims it's under the _LaTeX Project Public License_).

**Disclaimer:** These templates are provided for University of Hull students only. No guarantee is provided - even fitness-for-purpose. In other words, no guarantee is made that these templates actually conform to official University guidelines and regulations!
